import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
} from 'd3';

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();
const missingDataColor = 'grey';
 
export const Marks = ({
  worldAtlas: { countries, interiors },
  rowByCountry,
  colorScale,
  colorValue,
}) => (
  <g className="marks">
    <path
      className="sphere"
      d={path({ type: 'Sphere' })}
    />
    <path
      className="graticules"
      d={path(graticule())}
    />
    {countries.features.map((feature) => {
      // console.log(feature);
      const d = rowByCountry.get(
        feature.properties.name
      );
			console.log(path)
      return (
        <path
          fill={d ? colorScale(colorValue(d)) : missingDataColor}
          d={path(feature)}
        />
      );
    })}
    <path
      className="interiors"
      d={path(interiors)}
    />
  </g>
);
